### Class

# Rest ProxyAuth

unstable since: 1.0

#### Description [src]

    class Rest.ProxyAuth : GObject.Object
    {
      priv: RestProxyAuthPrivate*
    }

`RestProxyAuth` has no publicly available members.

Available since: 1.0

#### Ancestors

- GObject

#### Instance methods

###### rest_proxy_auth_cancel

Cancel the authentication process by cancelling the associated `SoupMessage`. It results in returning `GError` REST_PROXY_ERROR_CANCELLED to the function that requested the authentication.

unstable deprecated: 0.9 since: 1.0

###### rest_proxy_auth_pause

Pauses `auth`.

unstable deprecated: 0.9 since: 1.0

###### rest_proxy_auth_unpause

Unpauses a paused `RestProxyAuth` instance.

unstable deprecated: 0.9 since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct RestProxyAuthClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.